VIEWIMG_REGISTER_DATA_CHANGE(3)

FUNCTION
viewimg_register_data_change - Notify data for viewable image has changed.

SYNOPSIS
#include <karma_viewimg.h>

flag viewimg_register_data_change

(ViewableImage vimage)

DESCRIPTION
This routine will register a change in the Karma data structure associated with a viewable image. If the viewable image is active, it will be immediately redrawn on its canvas.

vimage
    The viewable image.

RETURN VALUE
TRUE on success, else FALSE.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/